libnl: Routing

libnl 3.12.0

Routing
Command Line Interface API

## Functions
struct rtnl_route * | nl_cli_route_alloc (void)
struct nl_cache * | nl_cli_route_alloc_cache (struct nl_sock *sk, int flags)
void | nl_cli_route_parse_family (struct rtnl_route *route, char *arg)
void | nl_cli_route_parse_dst (struct rtnl_route *route, char *arg)
void | nl_cli_route_parse_src (struct rtnl_route *route, char *arg)
void | nl_cli_route_parse_pref_src (struct rtnl_route *route, char *arg)
void | nl_cli_route_parse_metric (struct rtnl_route *route, char *subopts)
void | nl_cli_route_parse_nexthop (struct rtnl_route *route, char *subopts, struct nl_cache *link_cache)
void | nl_cli_route_parse_table (struct rtnl_route *route, char *arg)
void | nl_cli_route_parse_prio (struct rtnl_route *route, char *arg)
void | nl_cli_route_parse_scope (struct rtnl_route *route, char *arg)
void | nl_cli_route_parse_protocol (struct rtnl_route *route, char *arg)
void | nl_cli_route_parse_type (struct rtnl_route *route, char *arg)
void | nl_cli_route_parse_iif (struct rtnl_route *route, char *arg, struct nl_cache *link_cache)

## Detailed Description

## Function Documentation

## ◆ nl_cli_route_alloc()

struct rtnl_route * nl_cli_route_alloc | ( | void |  | ) |

Definition at line 18 of file route.c.

## ◆ nl_cli_route_alloc_cache()

struct nl_cache * nl_cli_route_alloc_cache | ( | struct nl_sock * | sk,
|  | int | flags )

Definition at line 29 of file route.c.

## ◆ nl_cli_route_parse_family()

void nl_cli_route_parse_family | ( | struct rtnl_route * | route,
|  | char * | arg )

Definition at line 43 of file route.c.

## ◆ nl_cli_route_parse_dst()

void nl_cli_route_parse_dst | ( | struct rtnl_route * | route,
|  | char * | arg )

Definition at line 51 of file route.c.

## ◆ nl_cli_route_parse_src()

void nl_cli_route_parse_src | ( | struct rtnl_route * | route,
|  | char * | arg )

Definition at line 64 of file route.c.

## ◆ nl_cli_route_parse_pref_src()

void nl_cli_route_parse_pref_src | ( | struct rtnl_route * | route,
|  | char * | arg )

Definition at line 77 of file route.c.

## ◆ nl_cli_route_parse_metric()

void nl_cli_route_parse_metric | ( | struct rtnl_route * | route,
|  | char * | subopts )

Definition at line 90 of file route.c.

## ◆ nl_cli_route_parse_nexthop()

void nl_cli_route_parse_nexthop | ( | struct rtnl_route * | route,
|  | char * | subopts,
|  | struct nl_cache * | link_cache )

Definition at line 133 of file route.c.

## ◆ nl_cli_route_parse_table()

void nl_cli_route_parse_table | ( | struct rtnl_route * | route,
|  | char * | arg )

Definition at line 207 of file route.c.

## ◆ nl_cli_route_parse_prio()

void nl_cli_route_parse_prio | ( | struct rtnl_route * | route,
|  | char * | arg )

Definition at line 225 of file route.c.

## ◆ nl_cli_route_parse_scope()

void nl_cli_route_parse_scope | ( | struct rtnl_route * | route,
|  | char * | arg )

Definition at line 236 of file route.c.

## ◆ nl_cli_route_parse_protocol()

void nl_cli_route_parse_protocol | ( | struct rtnl_route * | route,
|  | char * | arg )

Definition at line 246 of file route.c.

## ◆ nl_cli_route_parse_type()

void nl_cli_route_parse_type | ( | struct rtnl_route * | route,
|  | char * | arg )

Definition at line 266 of file route.c.

## ◆ nl_cli_route_parse_iif()

void nl_cli_route_parse_iif | ( | struct rtnl_route * | route,
|  | char * | arg,
|  | struct nl_cache * | link_cache )

Definition at line 278 of file route.c.